/*
  team.js
--------------------------------------------------------------- */

//Namespace for bio functions
var bioGrid = {};

bioGrid.bioindex = 0;
bioGrid.bios = [];

bioGrid.loadBios = function () {"use strict";
  //Cast & Creative Bios
  for (var i=0; i < $("#cast .member").length; i++) {
    bioGrid.bios.push($('#cast .member:nth-child('+ (i+1) +')').clone());
    $('#cast .member:nth-child('+ (i+1) +')').data('index', i);
    //console.log($('#cast .member:nth-child('+ (i+1) +')'));
  }

  for (var i=0; i < $("#creative .member").length; i++) {
    bioGrid.bios.push($('#creative .member:nth-child('+ (i+1) +')').clone());
    $('#creative .member:nth-child('+ (i+1) +')').data('index',(bioGrid.bios.length-1));
    //console.log($('#creative .member:nth-child('+ (i+1) +')'));
  }
  
  setTimeout(() => { $('body').addClass('bio-loaded'); }, 1000);

  $(".team .member").on("click", function(e) {
    e.preventDefault();
    bioGrid.bioindex = $(this).data('index');
    //console.log(bioGrid.bioindex);
    //add overlay
    $("#overlay-inner").html(bioGrid.bios[bioGrid.bioindex]);
    $("html, body").addClass ("overlay-open");
    $(".overlay").addClass ("open");
    //next/prev
    $(".overlay .prev, .overlay .next").show();
    if (bioGrid.bioindex == (bioGrid.bios.length - 1)) {
        $(".overlay .next").hide();
    } else if (bioGrid.bioindex == 0) {
        $(".overlay .prev").hide();
    }
  });
};

//Next/Previous navigation
bioGrid.bioNav = function () {
  $(".overlay .next").click(function(e) {
    e.preventDefault();
    $(".overlay .prev").show();
    if (bioGrid.bioindex == (bioGrid.bios.length - 2)) {
      $(this).hide();
    }
    else {
      $(this).show();
    }
    bioGrid.bioindex = bioGrid.bioindex + 1;
    $("#overlay-inner").fadeOut(300, function() {
      $(this).html(bioGrid.bios[bioGrid.bioindex]).fadeIn(500);
    });
  });

  $(".overlay .prev").click(function(e) {
      e.preventDefault();
      $(".overlay .next").show();
      if (bioGrid.bioindex == 1) {
        $(this).hide();
      } else {
        $(this).show();
      }
      bioGrid.bioindex = bioGrid.bioindex - 1;
      $("#overlay-inner").fadeOut(300, function() {
          $(this).html(bioGrid.bios[bioGrid.bioindex]).fadeIn(500);
      });
  });
};

// Close Cast Overlay
bioGrid.hideOverlay = function () {
  $ (".overlay .close").click (function (e) {
    e.preventDefault ();
    $ ("html, body").removeClass ("overlay-open");
  });
};


$(document).ready (function () {"use strict";
    bioGrid.loadBios();
    bioGrid.bioNav();
    bioGrid.hideOverlay();

    if (window.location.hash === '#creative') {
      $('.cast-link').removeClass('active');
      $('.creative-link').addClass('active');
      $('#team').addClass('creative').removeClass('cast');
    }

    //cast toggle
    $(document).on( "click",".creative-link", function(e) {
      e.preventDefault();
      if( !$(this).hasClass('active') ) {
        $(this).addClass('active');
        $('.cast-link').removeClass('active');
        $('#team').removeClass('cast').addClass('creative');
      } else {
        $('#team').removeClass('creative');
        $(this).removeClass('active');
      }
    });

    $(document).on( "click", ".cast-link", function(e) {
      e.preventDefault();
      if(!$(this).hasClass('active')) {
        $(this).addClass('active');
        $('.creative-link').removeClass('active');
        $('#team').removeClass('creative').addClass('cast');
      } else {
        $('#team').removeClass('cast');
        $(this).removeClass('active');
      }
    });

});

// EOF
